import { select, range} from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const makeFruits = type => ({ type });

const fruits = range(5)
	.map(() =>  makeFruits('apple'));

svg.selectAll('circle').data(fruits)
	.enter().append('circle')
	.attr('cx', (d, i) => i * 120 + 60 )
	.attr('cy', height/2)
	.attr('fill', '#c11d1d')
	.attr('r',50);

//fruits.pop();

svg.selectAll('circle').data(fruits)
	.exit().remove()
		.attr("fill","black")
	











